aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ak5
-rwxr-xr-xbin/ak-categories12
2 files changed, 11 insertions, 6 deletions
diff --git a/bin/ak b/bin/ak
index 056a6a3..d18012a 100755
--- a/bin/ak
+++ b/bin/ak
@@ -2,6 +2,7 @@
PROGRAM=$(basename $0)
source $AK_LIBDIR/_ak_logit
+source $AK_LIBDIR/_ak_script_exit
if [ $# -eq 0 ]
then
@@ -26,7 +27,7 @@ subcmd="$(echo $* | sed -e 's/ /-/g')"
if [ -f "$AK_BINDIR/ak-$subcmd" ]
then
$(echo ak-$subcmd)
- exit $?
+ exit_program $? "ak-$subcmd command finished";
else
argc=$#
argv="$*"
@@ -39,7 +40,7 @@ else
then
logit "INFO" "Running: ak-$subcmd with args: $args"
$(echo ak-$subcmd) $args
- exit $?
+ exit_program $? "ak-$subcmd command finished";
fi
counter=$(($counter + 1))
done
diff --git a/bin/ak-categories b/bin/ak-categories
index 292e789..8750159 100755
--- a/bin/ak-categories
+++ b/bin/ak-categories
@@ -1,8 +1,10 @@
#!/bin/bash
AK_CATEGORIES="$AK_WORKDIR/categories"
PROGRAM="$(basename $0)"
+descriptionString="A module for adding and refering zblocks to categories"
source $AK_LIBDIR/_ak_logit
+source $AK_LIBDIR/_ak_script_description
if [ ! -d $AK_CATEGORIES ]; then
mkdir $AK_CATEGORIES
@@ -38,7 +40,7 @@ _ak_modules_categories_index(){
done
}
_ak_modules_categories_title(){
- echo "$PROGRAM"
+ description
}
_ak_modules_categories_import(){
@@ -85,19 +87,21 @@ _ak_modules_categories_add(){
}
EOF
else
- echo "File $FILE doesn't exist";
+ logit "ERROR" "File $FILE doesn't exist";
exit 2
fi
ak-zblock-pack "news/add" $(pwd)/data
if [ $? == 0 ]
then
- echo "News added successfully"
+ logit "INFO" "News added successfully"
else
- echo "error??"
+ logit "ERROR" "error??"
exit 1
fi
}
+
_ak_modules_categories_usage(){
+ _ak_modules_categories_title
echo " -h, --help Prints this help message"
echo " index Prints an indexed table of your news files"
echo " import <file> #TODO"